Bug 1120301 - python2.7 killed by SIGTRAP
Summary: python2.7 killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 16:49 UTC by Michael Petlan
Modified: 2015-02-18 11:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:49 UTC


Attachments (Terms of Use)

Description Michael Petlan 2014-07-16 16:49:23 UTC
Description of problem:

When terminator is running and xrandr command is run several times to change the output screens, terminator crashes.

Version-Release number of selected component (if applicable):

terminator-0.97-2
xfce4-session-4.10.1-1
xorg-x11-server-utils-7.5-16

How reproducible:


Steps to Reproduce:
1. run terminator
2. run something like that for several times
	xrandr --output HDMI3 --auto
	xrandr --output LVDS1 --auto
	xrandr --output HDMI3 --auto --left-of LVDS1

Actual results:

(terminator:21443): Gdk-ERROR **: The program 'terminator' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 1528 error_code 141 request_code 138 minor_code 8)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trasovací/ladící past (SIGTRAP) (core dumped [obraz paměti uložen])

Expected results:

Terminator survives the xrandr execution.


Additional info:

(gdb) bt full
#0  0x000000385b84ec67 in g_logv () from /lib64/libglib-2.0.so.0
No symbol table info available.
#1  0x000000385b84ee32 in g_log () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003dd3e6a2c8 in gdk_x_error () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#3  0x000000385dc45516 in _XError () from /lib64/libX11.so.6
No symbol table info available.
#4  0x000000385dc42781 in handle_error () from /lib64/libX11.so.6
No symbol table info available.
#5  0x000000385dc427c5 in handle_response () from /lib64/libX11.so.6
No symbol table info available.
#6  0x000000385dc433b8 in _XReply () from /lib64/libX11.so.6
No symbol table info available.
#7  0x000000385dc405f7 in XTranslateCoordinates () from /lib64/libX11.so.6
No symbol table info available.
#8  0x0000003dd3e72c4e in gdk_window_x11_get_root_coords ()
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#9  0x0000003dd3e43b07 in gdk_window_get_origin ()
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#10 0x00007fd44689a885 in vte_terminal_expose () from /lib64/libvte.so.9
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#11 0x0000003dd374df0c in _gtk_marshal_BOOLEAN__BOXED ()
   from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x000000385c40f910 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x000000385c420a80 in signal_emit_unlocked_R ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#14 0x000000385c4288c7 in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#15 0x000000385c428de2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#16 0x0000003dd3881fee in gtk_widget_event_internal ()
   from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x0000003dd374c350 in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x0000003dd3e4553c in _gdk_window_process_updates_recurse ()
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#19 0x0000003dd3e454e3 in _gdk_window_process_updates_recurse ()
---Type <return> to continue, or q <return> to quit---
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#20 0x0000003dd3e400ac in gdk_window_process_updates_internal ()
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#21 0x0000003dd3e4260e in gdk_window_process_updates ()
   from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#22 0x00007fd4468929aa in update_regions () from /lib64/libvte.so.9
No symbol table info available.
#23 0x00007fd4468a6c69 in update_timeout () from /lib64/libvte.so.9
No symbol table info available.
#24 0x000000385b8485db in g_timeout_dispatch () from /lib64/libglib-2.0.so.0
No symbol table info available.
#25 0x000000385b847a55 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#26 0x000000385b847d88 in g_main_context_iterate.isra.24 ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#27 0x000000385b848182 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#28 0x0000003dd374afd7 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#29 0x00007fd44ed30298 in _wrap_gtk_main ()
   from /usr/lib64/python2.7/site-packages/gtk-2.0/gtk/_gtk.so
No symbol table info available.
#30 0x000000385c0dcfd6 in PyEval_EvalFrameEx () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#31 0x000000385c0ddcbf in PyEval_EvalCodeEx () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#32 0x000000385c0ddd92 in PyEval_EvalCode () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#33 0x000000385c0f6f7a in ?? () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#34 0x000000385c0f7d72 in PyRun_FileExFlags () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#35 0x000000385c0f878b in PyRun_SimpleFileExFlags ()
   from /lib64/libpython2.7.so.1.0
No symbol table info available.
#36 0x000000385c109c52 in Py_Main () from /lib64/libpython2.7.so.1.0
No symbol table info available.
#37 0x0000003859421a05 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#38 0x0000000000400721 in _start ()
No symbol table info available.

Comment 1 Fedora End Of Life 2015-01-09 21:27:29 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-18 11:46:49 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.